# Capturing Semantic Similarity in Querying User Reviews - Giulia Baldini
The LaTex part of my thesis is in this project. The Thesis_LaTex folder contains the LaTex code to compile my bachelor thesis (template: [Maggi Memoir Thesis](http://www.latextemplates.com/template/maggi-memoir-thesis)). The Presentation_LaTex folder contains the Latex code to compile my presentation slides for the dissertation (template: [Metropolis](https://github.com/matze/mtheme)).

The thesis handles as main problem the search for synonyms in the use case of user reviews. 

### Abstract

Travel websites give users the opportunity to review hotels by writing comments. However, there is no standardised way to do so, making it hard for other users to retrieve the information they want in a structured way. Moreover, comments are written by visitors coming from very different cultural and social backgrounds. As a result, two reviews describing the same hotel in the same manner will use very different words. In this work we unite semantics differences in words by using query expansion. In that context we extend the system ToKnow, developed in an internal project at Unibz, which has the aim to collect and index hotel reviews such that they can be queried easily. Here user opinions are mostly described with adjectives, which define an asset of the hotel with many different shades. Our aim is to make all the similar shades accessible to a querying user. We explore the tools that allow to investigate semantic similarity and extend them by counting in context. Furthermore, we propose new ranking methods based on static scales and learned scales. Finally we evaluate the effectiveness of our method on a user-generated ground truth using statistics and evaluation measures such as precision and recall.